  - name: Show host
    tags: always
    shell: echo $HOST

  - name: Show locales
    tags: always
    shell: locale -a

  - name: Generate en_US.UTF-8
    tags: always
    shell: echo 'en_US.UTF-8 UTF-8' > /etc/locale.gen

  - name: Generate de_DE.UTF-8
    tags: always
    shell: echo 'de_DE.UTF-8 UTF-8' >> /etc/locale.gen

  - name: Locale Gen
    tags: always
    shell: locale-gen

  - name: Set default
    tags: always
    shell: echo 'LANG=en_US.UTF-8' > /etc/locale.conf

  - name: ensure locales exist
    locale_gen:
      name: '{{ item }}'
      state: present
    loop:
      - en_US.UTF-8
      - de_DE.UTF-8

  - name: Neustart (nach 5 Sekunden)
    tags: always
    reboot:
      pre_reboot_delay: 5

  - name: Show locales
    tags: always
    shell: locale -a
